Bug 187349 - Kernel Panic after update update at 2006-03-30
Kernel Panic after update update at 2006-03-30
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2006-03-30 06:28 EST by Need Real Name
Modified: 2015-01-04 17:26 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-19 14:16:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
/var/log/yum.log (1.95 KB, application/octet-stream)
2006-03-31 03:41 EST, Need Real Name
no flags Details
/etc/grub.conf (766 bytes, application/octet-stream)
2006-03-31 03:41 EST, Need Real Name
no flags Details
the files from /proc, but booted with "linux rescue" from CD (192.19 KB, application/zip)
2006-03-31 03:43 EST, Need Real Name
no flags Details
/etc/fstab (988 bytes, application/octet-stream)
2006-03-31 03:44 EST, Need Real Name
no flags Details

  None (edit)
Description Need Real Name 2006-03-30 06:28:44 EST
Description of problem: Fedora Core 5 (from CDset), after yum -y update at
the System Boots with Kernel-2.6.15 (orginal from install) and
with the new 2.6.16 with Kernel Panic

Version-Release number of selected component (if applicable):

How reproducible:

Install Fedora Core 5, on an DELL PowerEdge 1750 with
LSI Logic Corp. Perc4/Di (RAID1) BIOS H406 / FW412W

Steps to Reproduce:
1. Install FDC5, with LVM
2. Boot FDC5
3. make yum -y update
4. reboot  

Actual results:

Output from Display:
(i can only write it to paper from display, booting with single dont work)

It is the same Output/Problem with Kernel 2.6.15 oder with new (after yum)
Kernel 2.6.16

unmounting old /dev
unmounting old /proc
unmounting old /sys

Kernel panic - not syncing: Attemped to kill init !
[<C01234b6>] panic+0x3e/0x174   [<C01265b4>] do_exit+0x71/0x.....
[<C0154816>] do_munmap+0x184/0x19c  [<C0126cbc>] sys_exit_gv....
[<C0103d81>] syscal_call+0x7/0xb

Expected results:

Additional info:

My Problem is, i cant boot to get the logfile of yum or something.
I hope i helps to find the Problem.
If not, i must order the CDs of FDC5
an booting in the rescure mode.
To get some infos do you need !
Comment 1 Need Real Name 2006-03-31 03:41:06 EST
Created attachment 127109 [details]

there you can see the rpm that have been updated.
but after the update, the system boot with old: 2.6.15-2054
and new 2.6.16-2080 with kernel panic
Comment 2 Need Real Name 2006-03-31 03:41:51 EST
Created attachment 127110 [details]
Comment 3 Need Real Name 2006-03-31 03:43:45 EST
Created attachment 127111 [details]
the files from /proc, but booted with "linux rescue" from CD
Comment 4 Need Real Name 2006-03-31 03:44:32 EST
Created attachment 127112 [details]
Comment 5 Need Real Name 2006-03-31 04:39:37 EST
I have Updated the Firnware/BIOS of the Server:


A13 RAID-Controller

But the same Problem !
Comment 6 Need Real Name 2006-04-03 04:14:36 EDT

i found the Problem.

I fogott to write that i changed the /etc/sysconfig/selinux

The Problem was the i changed the wrong line:

my fault:  SELINUX=enforcing 

with this entry´s in the /etc/sysconfig/selinux
the kernel boots with kernel-panic


with this entry´s in the /etc/sysconfig/selinux
the old and new kernel booting without kernel-panic

i am sorry !!!

is it possible to check the cfg, that nobody can make
the same fault like me.
or that selinux is diabled if the "/etc/sysconfig/selinux"
is wrong !!!


Comment 7 Dmitry Butskoy 2006-04-11 08:12:45 EDT
Exactly the same situation with me.
The solution (temporary) was to set "selinux=0" when boot.

IMO, anyway, the kernel behavior (just to panic) is too bad in such cases. Some
clean error-report would be useful, especially as the two independed reports
show that it is not a "corner case" :)
Comment 8 Dmitry Butskoy 2006-04-11 08:21:41 EDT
for info in comment #6 :
In my case there is no /etc/sysconfig/selinux file at all (as I remove
selinux-policy package).
Comment 9 Dave Taylor 2006-04-15 16:56:49 EDT
Very, very interesting.  I thought my problem was related to the 'sata panic
after update and reboot' bug, but now I remember that I changed the selinux
config after I updated and before I rebooted.  It still could be the mkinitrd
bug, too.

I will have to drive to the colocation and pass selinux=0 to the kernel.
Comment 10 Dave Jones 2006-10-16 17:34:10 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 11 Need Real Name 2006-10-17 04:30:23 EDT
Thanks, you can close the bug id: 187349
i works

Note You need to log in before you can comment on or make changes to this bug.